""" Copyright start
  Copyright (C) 2008 - 2020 Fortinet Inc.
  All rights reserved.
  FORTINET CONFIDENTIAL & FORTINET PROPRIETARY SOURCE CODE
  Copyright end """

from django.conf import settings
#Global Contants.

STATE_AVAILABLE = 'Available'
STATE_DISCONNECTED = 'Disconnected'
STATE_NOT_CONFIGURED = 'NotConfigured'
STATE_DACTIVATED = 'Deactivated'
STATE_DEACTIVATED = 'Deactivated'
SSL_VALIDATION_ERROR = 'SSL certificate validation failed'
CONNECTION_TIMEOUT = 'The request timed out while trying to connect to the remote server'
REQUEST_READ_TIMEOUT = 'The server did not send any data in the allotted amount of time'
INVALID_URL_OR_CREDENTIALS = 'Invalid endpoint or credentials'
UNAUTHORIZED = 'Unauthorized'
NOTIFICATION_BASED_INGESTION = 'notification'
REMOTE_STATUS = {
    'in_progress': 'in-progress',
    'awaiting': 'awaiting',
    'paused': 'paused',
    'finished': 'finished',
    'failed': 'failed',
    'disconnected': 'Disconnected',
    'available': 'Available',

    'installation_in_progress': 'install-in-progress',
    'installation_finished': 'finished',
    'installation_failed': 'install-failed',

    'upgrade_in_progress': 'upgrade-in-progress',
    'upgrade_failed': 'upgrade-failed',
    'upgrade_finished': 'upgrade-finished',

    'uninstall_in_progress': 'uninstall-in-progress',
    'uninstall_failed': 'uninstall-failed',
    'uninstall_finished': 'uninstall-finished',

    'installed_on_agent': 'installed-on-agent',
    'deletion_in_progress': 'deletion-in-progress',

    'status_update_in_progress': 'status-update-in-progress',
    'status_update_failed': 'status-update-failed',
    'status_update_finished': 'status-update-finished',
}

AGENT_INSTALLER_SOURCE_PATH = settings.DJANGO_ROOT + '/agent_installer/source'
AGENT_INSTALLER_DESTINATION_PATH = settings.DJANGO_ROOT + '/agent_installer/destination'
AGENT_INSTALLER_ARCHIEVED_PATH = settings.DJANGO_ROOT + '/agent_installer'
VERSION_JSON_PATH = settings.DJANGO_ROOT + '/version.json'

CONNECTOR_TAG_FILTER = 'tag_contains'

DEFAULT_USER_ID = '029576af-2104-4bc7-afb8-f2fc358c28b3'

CONNECTOR_AUDIT_OPERATIONS = {
    "install": "Install",
    "update": "Update",
    "upgrade": "Upgrade",
    "delete": "Uninstall",
    "execute": "Executed Action"
}

CONFIGURATION_AUDIT_OPERATIONS = {
    "create": "AddConfig",
    "update": "UpdateConfig",
    "delete": "DeleteConfig"
}